﻿<!DOCTYPE html>
<html lang="en">
<head> 
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Fully Automated Biochemistry Analyzer</title>
    <link rel="stylesheet" href="~/lib/bootstrap5/css/bootstrap.css" />   @*@MT- Bootstrap 4.4.1 stylesheet*@
    <link rel="stylesheet" href="~/lib/bootstrap5/css/bootstrap.min.css" /> 
    <link rel="stylesheet" href="~/css/style.css" />         
    <link href="~/lib/font-awesome5/css/font-awesome.css" rel="stylesheet" />
    @* <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700,800' rel='stylesheet' type='text/css'> *@
    <link rel="stylesheet" type="text/css" href="~/lib/DataTables/datatables.min.css"/>
    <link rel="stylesheet" href="~/lib/bootstrap-toggle-master/css/bootstrap-toggle.min.css" /> 
    <link rel="stylesheet" href="~/css/media.css" /> 
    <script src="~/js/jquery.min.js"></script>
    <script src="~/lib/DataTables/DataTables-1.10.20/js/jquery.dataTables.js" type="text/javascript"></script>
    <script type="text/javascript" src="~/lib/DataTables/DataTables-1.10.20/js/dataTables.bootstrap4.min.js"></script>   
   
</head>
<body>
    <div class="row" style="height:70px;" id="curved-header">
        <img style="height: 50px;width: 140px;" src="~/img/biosense.png">
        <div class="column" style="width:87vw" id="curved-desc">
            <div id="header" style="width: 90vw;" >
                <nav class="navbar" style="padding:0px;">
                    <h3>NANO</h3> 
                    <a style="padding-left: 10vw;"><label id=lblDate></label></a>
                    <a style="font-size:1.6rem;color:lightcoral;" onclick="goPage('/Account/Login')"><i class="fa fa-sign-out"></i></a>
                </nav>
            </div>
        </div>
        <svg >
            <path fill="#fff" fill-opacity="1" d="M0,32L48,80C96,128,192,224,288,224C384,224,480,128,576,90.7C672,53,768,75,864,96C960,117,1056,139,1152,149.3C1248,160,1344,160,1392,160L1440,160L1440,320L1392,320C1344,320,1248,320,1152,320C1056,320,960,320,864,320C768,320,672,320,576,320C480,320,384,320,288,320C192,320,96,320,48,320L0,320Z"></path>
        </svg>
    </div>
    <div class="row" style="height:90vh">
        <div id="sidebar" style="width:140px;" class="column">
            <ul>
                @* <li><a href="/Home/Index"><i class="fa fa-home" ></i> <span>Dashboard</span></a> </li> *@
                <li><a href="/User/Index"><i class="fa fa-users"></i> <span>USERS</span></a></li>
                <li class="dropdown-submenu">
                    <a class="dropdown-item dropdown-toggle" data-toggle="dropdown" href="#"><i class="fa fa-edit"></i> <span>PARAMETERS</span></a>
                    <ul class="dropdown-menu">
                        <a class="dropdown-item" href="/Test/Index">TEST PARAMETER</a>
                        <a class="dropdown-item" href="/Calculated/Index">CALCULATED TEST</a>
                        <a class="dropdown-item" href="/CarryOver/Index">CARRY OVER</a>
                        <a class="dropdown-item" href="/Reflex/Index">REFLEX TESTS</a>
                        <a class="dropdown-item" href="/External/Index">EXTERNAL TESTS</a>
                        <a class="dropdown-item" href="/Sequence/Index">TEST SEQUENCE</a>
                    </ul>
                </li>
                <li><a href="/Calibration/Index"><i class="fa fa-line-chart"></i> <span>CALIBRATION</span></a> </li>
                <li><a href="~/Quality/Index"><i style="content:url('/img/QC.png');height:15px;"></i> <span>QUALITY</span></a></li>
                <li><a href="~/Reagent/Index"><i class="fa fa-flask"></i> <span>REAGENTS</span></a></li>
                <li><a href="~/html/grid.html"><i style="content:url('/img/Result.png');height:15px;"></i> <span>RESULTS</span></a></li>
                @* <li><a href="~/html/grid.html"><i class="fa fa-area-chart"></i> <span>Statistics</span></a></li> *@
                @* <li><a href="~/html/grid.html"><i class="fa fa-list-ul"></i> <span>Worklist</span></a></li> *@
                <li><a href="/Maintenance/Index"><i class="fa fa-cogs"></i> <span>MAINTENANCE</span></a></li>
                <li><a href="~/Schedule/Index"><i style="content:url('/img/SchList.png');height:15px;"></i> <span>SCHEDULE</span></a></li>
                <li><a href="/Run/Index"><i style="content:url('/img/SchList.png');height:15px;"></i> <span>RUN</span></a></li>
            </ul>          
        </div>
        <div id="content" style="width:90%;" class="column">
            @RenderBody()
        </div>
    </div>
  @*   @RenderSection("Scripts", required: false) *@  @*All the scripts of body to be executed at end of the page *@
    @RenderSection("Scripts", required: false)
</body>
</html>
   
    <script src="~/lib/jquery-validation/dist/jquery.validate.min.js"></script> 
    <script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.min.js"></script>  
    <script src="~/lib/bootstrap5/js/bootstrap.bundle.js"></script>
    <script src="~/lib/bootstrap5/js/bootstrap.min.js"></script>
    <script src="~/lib/bootstrap5/js/bootstrap.bundle.min.js"></script>
    <script src="~/lib/bootstrap-toggle-master/js/bootstrap-toggle.min.js"></script>
    <script src="~/js/matrix.js"></script> 
<script>
/* MT-Automatically update onscreen date time-START */
 function updateDate()
  {
    var datetime = new Date().toLocaleString('en-UK', {timeZone: "Asia/Kolkata"});
    document.getElementById("lblDate").innerText = datetime;
  }
  var loadTime = function(){
    updateDate();
    setTimeout(loadTime, 1000);
  }
  loadTime(); 

/* MT-- apply form-control class through out the application to all the input types*/
var inputs = $('input, textarea')
        .not(':input[type=button], :input[type=submit], :input[type=reset]');
inputs.addClass('form-control');
/* MT--Bootstrap select picker added throughout the application*/
/*$('select').selectpicker();*/

/* MT-Numeric Only class added for allowing only numeric in textboxes*/
$(".numericOnly").bind('keypress', function (e) {
    if (e.keyCode == '9' || e.keyCode == '16') {
        return;
    }
    var charCode = (e.which) ? e.which : e.keyCode;
    
    if (charCode > 31 && (charCode < 48 || charCode > 57) && charCode != 46)
        return false;
    if(charCode==46&&this.value.split('.').length===2)return false;
    return true;
});

$('[data-toggle=collapse]').on('click', function (e) {
    e.preventDefault();
    if(! $(this).hasClass('collapsed')){
        e.stopPropagation();
        return false;
    }
}); 

    $('input[type="radio"]').change(function(){
  $('#' + $(this).val())
    .removeAttr('disabled')
    .siblings('input[type="text"]')
    .attr('disabled', 'disabled');
});


</script>
